package com.bernard.greposimu.source;

public class SourcedMilitaryOrders {
	
	long start;
	long arrival;
	long cancelableUntil;
	long invisibleUntil;
	
	boolean destIsAttackSpot;
	boolean origIsAttackSpot;

	int player;
	int homeId;
	int targetId;

	String type;
	
	public long getArrival() {
		return arrival;
	}
	public long getCancelableUntil() {
		return cancelableUntil;
	}
	public long getInvisibleUntil() {
		return invisibleUntil;
	}
	public boolean isDestIsAttackSpot() {
		return destIsAttackSpot;
	}
	public boolean isOrigIsAttackSpot() {
		return origIsAttackSpot;
	}
	public int getHomeId() {
		return homeId;
	}
	public int getPlayer() {
		return player;
	}
	public long getStart() {
		return start;
	}
	public int getTargetId() {
		return targetId;
	}
	public String getType() {
		return type;
	}
	
	
}
